<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:task="http://www.springframework.org/schema/task"
       xsi:schemaLocation="http://www.springframework.org/schema/task http://www.springframework.org/schema/task/spring-task.xsd
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd"

       default-lazy-init="true">

    <description>调度配置</description>

    <bean id="tkioAccountTask" class="tkio.task.AccountTask"></bean>
   <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="tkioAccountTask" method="task" cron="0 25 17 * * ?"/>
    </task:scheduled-tasks>

    <bean id="tkioNoticeTask" class="tkio.task.NoticeTask"></bean>
    <task:scheduled-tasks>
        <task:scheduled ref="tkioNoticeTask" method="task" cron="0 33 0 * * ?"/>
    </task:scheduled-tasks>

    <bean id="emailTask" class="tkio.task.SendEmailTask"></bean>
    <task:scheduled-tasks>
        <task:scheduled ref="emailTask" method="task" cron="0 20 0 * * ?"/>
    </task:scheduled-tasks>

    <bean id="contractTask" class="common.task.ContractTask"></bean>
    <task:scheduled-tasks>
        <task:scheduled ref="contractTask" method="task" cron="0 28 0 * * ?"/>
    </task:scheduled-tasks>

    <bean id="trackAccountTask" class="track.task.AccountTask"></bean>
    <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="trackAccountTask" method="task" cron="0 32 0 * * ?"/>
    </task:scheduled-tasks>

    <bean id="SyncAppDataTask" class="common.task.SyncAppDataTask"></bean>


    <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="SyncAppDataTask" method="syncAppInfo" cron="0 31 0 * * ?"/>
        <task:scheduled ref="SyncAppDataTask" method="syncAppDeviceNum" cron="0 11 0 * * ?"/>
    </task:scheduled-tasks>

    <bean id="ioAccountTask" class="userio.task.IOAccountTask"></bean>
    <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="ioAccountTask" method="task" cron="0 25 17 * * ?"/>
    </task:scheduled-tasks>

    <bean id="ioAccountTaskCheck" class="userio.task.IOAccountCheck"></bean>
    <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="ioAccountTaskCheck" method="task" cron="0 10 8 * * ?"/>
    </task:scheduled-tasks>

    <bean id="accountTaskCheck" class="tkio.task.AccountCheck"></bean>
    <task:scheduled-tasks>
        <!--//定时同步短链数据(每5分钟执行一次)-->
        <task:scheduled ref="accountTaskCheck" method="task" cron="0 10 8 * * ?"/>
    </task:scheduled-tasks>

</beans>
